commit e25889cc0f06909ddbfac96a8248a4f90491bd21
Author: freddy77 <freddy77>
Date:   Fri Aug 21 09:58:30 2009 +0000

    small optimization for method constant

diff --git a/ChangeLog b/ChangeLog
index d7775e9..73819bd 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Aug 21 11:57:54 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c: small optimization for method constant
+
 Thu Aug 20 20:59:22 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/convert_tds2sql.c src/odbc/unittests/data.c:
 	* src/tds/token.c:
@@ -1770,4 +1773,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2853 2009/08/20 18:59:29 freddy77 Exp $
+$Id: ChangeLog,v 1.2854 2009/08/21 09:58:30 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index caa0626..ce1d21f 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.91 2009/03/27 09:22:49 freddy77 Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.92 2009/08/21 09:58:30 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -347,11 +347,12 @@ tds_select(TDSSOCKET * tds, unsigned tds_sel, int timeout_seconds)
 {
 	int rc, seconds;
 	unsigned int poll_seconds;
-	const char *method = "poll(2)";
-#if !USE_POLL
+#if USE_POLL
+	static const char method[] = "poll(2)";
+#else
+	static const char method[] = "select(2)";
 	fd_set fds[3];
 	fd_set *readfds = NULL, *writefds = NULL, *exceptfds = NULL;
-	method = "select(2)";
 #endif
 
 	assert(tds != NULL);

